Page MenuHomeFreeBSD

sysutils/flashrom: Enable buspirate interface by default
ClosedPublic

Authored by manu on Sep 28 2018, 7:08 PM.

Details

Summary

Tested with my buspirate and two spi flash.
While here, pet portlint.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu created this revision.Sep 28 2018, 7:08 PM
mat added inline comments.Oct 1 2018, 1:17 PM
sysutils/flashrom/Makefile
35–41 ↗(On Diff #48560)
BUSPIRATE_MAKE_ENV=        CONFIG_BUSPIRATE_SPI=yes
BUSPIRATE_MAKE_ENV_OFF=    CONFIG_BUSPIRATE_SPI=no
manu marked an inline comment as done.Oct 1 2018, 1:25 PM
manu added inline comments.
sysutils/flashrom/Makefile
35–41 ↗(On Diff #48560)

Thanks ! I was looking for something like that but couldn't find it in the handbook, I see it know of course.

mizhka_gmail.com accepted this revision.Oct 2 2018, 2:55 PM
This revision is now accepted and ready to land.Oct 2 2018, 2:55 PM
manu updated this revision to Diff 48658.Oct 2 2018, 8:19 PM

Always enable buspirate support since it's enabled by default upstream and just use serial port.

This revision now requires review to proceed.Oct 2 2018, 8:19 PM
manu marked an inline comment as done.Oct 2 2018, 8:20 PM
manu added inline comments.
sysutils/flashrom/Makefile
35–41 ↗(On Diff #48560)

Just FYI it didn't worked, it was always compile with buspirate support despite the make config changes.
Not a problem since we want to always have support for it since it's enabled by default upstream.

mat added inline comments.Oct 3 2018, 8:45 AM
sysutils/flashrom/Makefile
34 ↗(On Diff #48658)

Remove.

36 ↗(On Diff #48658)

Why += ?

manu marked 2 inline comments as done.Oct 3 2018, 9:16 AM
manu added inline comments.
sysutils/flashrom/Makefile
34 ↗(On Diff #48658)

Right, will do.

36 ↗(On Diff #48658)

Wasn't done by me, I'll fix it if necessary.

manu updated this revision to Diff 48725.Oct 4 2018, 3:11 PM

Remove bsd.ports.options.mk
Remove += for RUN_DEPEND

manu marked 3 inline comments as done.Oct 4 2018, 3:11 PM
bapt accepted this revision.Oct 4 2018, 3:22 PM
This revision is now accepted and ready to land.Oct 4 2018, 3:22 PM
mizhka_gmail.com accepted this revision.Oct 8 2018, 8:39 AM
This revision was automatically updated to reflect the committed changes.